linebreak_t Struct Reference
linebreak

`#include <sombok.h>`

Collaboration diagram for linebreak_t:
[legend]

## Data Fields

private members
unsigned long int | refcount
int | state
unistr_t | bufstr
unistr_t | bufspc
double | bufcols
unistr_t | unread
public members
size_t | charmax
double | colmax
double | colmin
mapent_t * | map
size_t | mapsiz
unistr_t | newline
unsigned int | options
void * | format_data
void * | sizing_data
void * | urgent_data
void * | user_data
void * | stash
linebreak_format_func_t | format_func
linebreak_sizing_func_t | sizing_func
linebreak_urgent_func_t | urgent_func
linebreak_obs_prep_func_t | user_func
linebreak_ref_func_t | ref_func
int | errnum
public members addendum on release 2011.1.
linebreak_prep_func_t * | prep_func
void ** | prep_data

## Detailed Description

LineBreak object.

## Field Documentation

## bufcols

double linebreak_t::bufcols

calculated columns of buffered line

## bufspc

unistr_t linebreak_t::bufspc

spaces trailing to buffered line

## bufstr

unistr_t linebreak_t::bufstr

buffered line

## charmax

size_t linebreak_t::charmax

Maximum number of Unicode characters each line may contain.

## colmax

double linebreak_t::colmax

Maximum number of columns.

## colmin

double linebreak_t::colmin

Minimum number of columns.

## errnum

int linebreak_t::errnum

Number of last error. may be a value of errno defined in <errno.h> or LINEBREAK_ELONG below.

## format_data

void* linebreak_t::format_data

Data argument of callback functions. See utils.c.

## format_func

linebreak_format_func_t linebreak_t::format_func

Format callback function. See utils.c.

## map

mapent_t* linebreak_t::map

User-tailored property map.

## mapsiz

size_t linebreak_t::mapsiz

## newline

unistr_t linebreak_t::newline

Newline sequence.

## options

unsigned int linebreak_t::options

Options. See Defines.

## prep_data

void** linebreak_t::prep_data

Data argument of each preprocessing callback functions. See utils.c.

## prep_func

linebreak_prep_func_t* linebreak_t::prep_func

Array of preprocessing callback functions. See utils.c.

## ref_func

linebreak_ref_func_t linebreak_t::ref_func

Reference Count function. This may be called with 3 arguments: ref_func(data, type, action). data is a (pointer to) external object assinged to stash, format_data, sizing_data, urgent_data or prep_data members. type is type of object. according to action being negative or positive, this function should decrement or increment reference count of object, respectively.

## refcount

unsigned long int linebreak_t::refcount

reference count

## sizing_data

void* linebreak_t::sizing_data

## sizing_func

linebreak_sizing_func_t linebreak_t::sizing_func

Sizing callback function. See utils.c.

## stash

void* linebreak_t::stash

User-defined private data.

## state

int linebreak_t::state

state

## unread

unistr_t linebreak_t::unread

unread input

## urgent_data

void* linebreak_t::urgent_data

## urgent_func

linebreak_urgent_func_t linebreak_t::urgent_func

Urgent breaking callback function. See utils.c.

## user_data

void* linebreak_t::user_data

Deprecated:
  Use prep_data instead.

## user_func

linebreak_obs_prep_func_t linebreak_t::user_func

Preprocessing callback function. See utils.c.

Deprecated:
  Use prep_func instead.

The documentation for this struct was generated from the following file:

- include/sombok.h